Index: mythmusic/i18n/i18n.pro
===================================================================
--- mythmusic/i18n/i18n.pro	(revision 20066)
+++ mythmusic/i18n/i18n.pro	(working copy)
@@ -14,3 +14,4 @@
 INSTALLS += trans
 
 SOURCES += dummy.c
+QT += xml  sql opengl qt3support 
Index: mythmusic/mythmusic/playbackbox.cpp
===================================================================
--- mythmusic/mythmusic/playbackbox.cpp	(revision 20066)
+++ mythmusic/mythmusic/playbackbox.cpp	(working copy)
@@ -6,9 +6,9 @@
 using namespace std;
 
 // Qt includes
-#include <qapplication.h>
-#include <qregexp.h>
-//Added by qt3to4:
+#include <QEvent>
+#include <QApplication>
+#include <QRegExp>
 #include <QLabel>
 #include <QPixmap>
 #include <Q3ValueList>
Index: mythmusic/mythmusic/mythmusic.pro
===================================================================
--- mythmusic/mythmusic/mythmusic.pro	(revision 20066)
+++ mythmusic/mythmusic/mythmusic.pro	(working copy)
@@ -70,7 +70,6 @@
 }
 
 
-#The following line was inserted by qt3to4
 QT += xml  sql opengl qt3support
 
 include ( ../../libs-targetfix.pro )
Index: mythmusic/mythmusic/synaesthesia.cpp
===================================================================
--- mythmusic/mythmusic/synaesthesia.cpp	(revision 20066)
+++ mythmusic/mythmusic/synaesthesia.cpp	(working copy)
@@ -9,9 +9,9 @@
 #include "mainvisual.h"
 #include "synaesthesia.h"
 
-#include <qpainter.h>
-#include <qpixmap.h>
-#include <qimage.h>
+#include <QPainter>
+#include <QPixmap>
+#include <QImage>
 
 #include <math.h>
 #include <stdlib.h>
Index: mythmusic/mythmusic/cddecoder-windows.cpp
===================================================================
--- mythmusic/mythmusic/cddecoder-windows.cpp	(revision 20066)
+++ mythmusic/mythmusic/cddecoder-windows.cpp	(working copy)
@@ -2,10 +2,12 @@
 #include <stdlib.h>
 #include <iostream>
 #include <string>
-#include <qobject.h>
-#include <qiodevice.h>
-#include <qdir.h>
-#include <qfile.h>
+
+#include <QObject>
+#include <QIoDevice>
+#include <QDir>
+#include <QFile>
+
 using namespace std;
 
 #include <mythtv/mythconfig.h>
Index: mythmusic/mythmusic/search.cpp
===================================================================
--- mythmusic/mythmusic/search.cpp	(revision 20066)
+++ mythmusic/mythmusic/search.cpp	(working copy)
@@ -1,7 +1,7 @@
 // Qt includes
-#include <qlayout.h>
-#include <qfontmetrics.h>
-#include <qpainter.h>
+#include <QLayout>
+#include <QFontMetrics>
+#include <QPainter>
 
 // MythTV plugin includes
 #include <mythtv/mythcontext.h>
Index: mythmusic/mythmusic/cdrip.h
===================================================================
--- mythmusic/mythmusic/cdrip.h	(revision 20066)
+++ mythmusic/mythmusic/cdrip.h	(working copy)
@@ -5,7 +5,6 @@
 
 #include <mythtv/mythwidgets.h>
 #include <mythtv/mythdialogs.h>
-//Added by qt3to4:
 #include <QEvent>
 #include <QKeyEvent>
 
Index: mythmusic/mythmusic/playlist.h
===================================================================
--- mythmusic/mythmusic/playlist.h	(revision 20066)
+++ mythmusic/mythmusic/playlist.h	(working copy)
@@ -1,10 +1,10 @@
 #ifndef PLAYLIST_H_
 #define PLAYLIST_H_
 
-#include <q3valuelist.h>
-#include <q3listview.h>
-#include <q3ptrlist.h>
-#include <qthread.h>
+#include <Q3ValueList>
+#include <Q3ListView>
+#include <Q3PtrList>
+#include <QThread>
 
 #include "metadata.h"
 #include "treecheckitem.h"
Index: mythmusic/mythmusic/miniplayer.cpp
===================================================================
--- mythmusic/mythmusic/miniplayer.cpp	(revision 20066)
+++ mythmusic/mythmusic/miniplayer.cpp	(working copy)
@@ -1,15 +1,16 @@
 #include <iostream>
-//Added by qt3to4:
+
+using namespace std;
+
+// qt
 #include <QKeyEvent>
 #include <Q3PtrList>
 #include <Q3Frame>
-using namespace std;
+#include <QEvent>
+#include <QPixmap>
+#include <QImage>
+#include <QApplication>
 
-// qt
-#include <qpixmap.h>
-#include <qimage.h>
-#include <qapplication.h>
-
 // mythtv
 #include <mythtv/mythcontext.h>
 #include <mythtv/mythdialogs.h>
Index: mythmusic/mythmusic/aacdecoder.cpp
===================================================================
--- mythmusic/mythmusic/aacdecoder.cpp	(revision 20066)
+++ mythmusic/mythmusic/aacdecoder.cpp	(working copy)
@@ -25,9 +25,9 @@
 #include <string>
 
 // Qt headers
-#include <qobject.h>
-#include <qiodevice.h>
-#include <qfile.h>
+#include <QObject>
+#include <QIODevice>
+#include <QFile>
 
 // MythTV headers
 #include <mythtv/audiooutput.h>
@@ -302,18 +302,20 @@
     //
 
     unsigned char *buffer = NULL;
-    uint buffer_size;
+    unsigned int buf_size_tmp;
+    unsigned long buffer_size;
 
     mp4ff_get_decoder_config(
                                 mp4_input_file,
                                 aac_track_number,
                                 &buffer,
-                                &buffer_size
+                                &buf_size_tmp
                             );
+    buffer_size = buf_size_tmp;
 // some linux distros (gentoo, debian) modify the faad2 api with stdint.h types
 // instead of unsigned long int
 #ifdef FAAD_MODIFIED
-    uint32_t srate_tmp;
+    unsigned long srate_tmp;
     int err = faacDecInit2(decoder_handle, buffer, buffer_size, &srate_tmp, &channels);
     sample_rate = srate_tmp;
     if (err < 0)
Index: mythmusic/mythmusic/decoder.h
===================================================================
--- mythmusic/mythmusic/decoder.h	(revision 20066)
+++ mythmusic/mythmusic/decoder.h	(working copy)
@@ -2,13 +2,14 @@
 #define DECODER_H_
 
 #include "config.h"
-#include <qstring.h>
-#include <qevent.h>
-#include <qthread.h>
-#include <q3ptrlist.h>
-#include <qwaitcondition.h>
-#include <qmutex.h>
 
+#include <QString>
+#include <QEvent>
+#include <QThread>
+#include <Q3PtrList>
+#include <QWaitCondition>
+#include <QMutex>
+
 #include <mythtv/mythobservable.h>
 
 class Metadata;
@@ -16,9 +17,6 @@
 class Decoder;
 class DecoderFactory;
 
-class QObject;
-class QIODevice;
-class QThread;
 class OutputEvent;
 
 class Buffer;
Index: mythmusic/mythmusic/streaminput.cpp
===================================================================
--- mythmusic/mythmusic/streaminput.cpp	(revision 20066)
+++ mythmusic/mythmusic/streaminput.cpp	(working copy)
@@ -8,11 +8,11 @@
 
 #include "mythtv/mythcontext.h"
 
-#include <qapplication.h>
-#include <q3socket.h>
+#include <QApplication>
+#include <Q3Socket>
 
 
-StreamInput::StreamInput(const Q3Url &source)
+StreamInput::StreamInput(const QUrl &source)
     : request(0), url(source), sock(0), stage(0)
 {
 }
Index: mythmusic/mythmusic/visualize.cpp
===================================================================
--- mythmusic/mythmusic/visualize.cpp	(revision 20066)
+++ mythmusic/mythmusic/visualize.cpp	(working copy)
@@ -14,11 +14,11 @@
 #include <iostream>
 
 // qt
-#include <qpainter.h>
-#include <qpixmap.h>
-#include <qimage.h>
-#include <qdir.h>
-#include <q3url.h>
+#include <QPainter>
+#include <QPixmap>
+#include <QImage>
+#include <QDir>
+#include <QUrl>
 
 // mythtv
 #include <mythtv/mythdbcon.h>
Index: mythmusic/mythmusic/treecheckitem.cpp
===================================================================
--- mythmusic/mythmusic/treecheckitem.cpp	(revision 20066)
+++ mythmusic/mythmusic/treecheckitem.cpp	(working copy)
@@ -1,9 +1,11 @@
-#include <qapplication.h>
-#include <qstring.h>
-#include <qpixmap.h>
-#include <qimage.h>
-#include <qpainter.h>
+#include <QApplication>
+#include <QString>
+#include <QPixmap>
+#include <QImage>
+#include <QPainter>
+
 #include <iostream>
+
 using namespace std;
 
 #include "treecheckitem.h"
Index: mythmusic/mythmusic/metaioflacvorbiscomment.cpp
===================================================================
--- mythmusic/mythmusic/metaioflacvorbiscomment.cpp	(revision 20066)
+++ mythmusic/mythmusic/metaioflacvorbiscomment.cpp	(working copy)
@@ -1,7 +1,9 @@
 #include <iostream>
+
 #include <sys/stat.h>
-//Added by qt3to4:
+
 #include <Q3CString>
+
 using namespace std;
 
 #include "metaioflacvorbiscomment.h"
Index: mythmusic/mythmusic/mainvisual.h
===================================================================
--- mythmusic/mythmusic/mainvisual.h	(revision 20066)
+++ mythmusic/mythmusic/mainvisual.h	(working copy)
@@ -11,23 +11,23 @@
 #include "polygon.h"
 #include "constants.h"
 
-#include <qwidget.h>
-#include <qdialog.h>
-#include <q3memarray.h>
-#include <qpixmap.h>
-#include <qimage.h>
-#include <q3ptrlist.h>
-#include <qstringlist.h>
-#include <qtimer.h>
+#include <QWidget>
+#include <QDialog>
+#include <Q3MemArray>
+#include <QPixmap>
+#include <QImage>
+#include <Q3PtrList>
+#include <QStringList>
+#include <QTimer>
 #include <QPaintEvent>
 #include <QResizeEvent>
 #include <QHideEvent>
+#include <QEvent>
 
 class Buffer;
 class Output;
 class VisualNode;
 class LogScale;
-class QTimer;
 class InfoWidget;
 class Metadata;
 class MainVisual;
Index: mythmusic/mythmusic/recycler.h
===================================================================
--- mythmusic/mythmusic/recycler.h	(revision 20066)
+++ mythmusic/mythmusic/recycler.h	(working copy)
@@ -7,8 +7,8 @@
 #ifndef __recycler_h
 #define __recycler_h
 
-#include <qmutex.h>
-#include <qwaitcondition.h>
+#include <QMutex>
+#include <QWaitCondition>
 
 class Buffer;
 
Index: mythmusic/mythmusic/metadata.cpp
===================================================================
--- mythmusic/mythmusic/metadata.cpp	(revision 20066)
+++ mythmusic/mythmusic/metadata.cpp	(working copy)
@@ -1,12 +1,12 @@
 #include <iostream> 
 
 // qt
-#include <qapplication.h>
-#include <qregexp.h> 
-#include <qdatetime.h>
-#include <qdir.h>
-//Added by qt3to4:
+#include <QApplication>
+#include <QRegExp> 
+#include <QDateTime>
+#include <QDir>
 #include <Q3ValueList>
+#include <Q3PtrCollection>
 
 using namespace std;
 
Index: mythmusic/mythmusic/globalsettings.cpp
===================================================================
--- mythmusic/mythmusic/globalsettings.cpp	(revision 20066)
+++ mythmusic/mythmusic/globalsettings.cpp	(working copy)
@@ -14,12 +14,13 @@
 #include <QObject>
 #include <Q3HBoxLayout>
 #include <Q3VBoxLayout>
-#include <q3header.h>
+#include <Q3Header>
 #include <QLabel>
 #include <QKeyEvent>
 #include <QEvent>
 #include <QProcess>
 #include <QStringList>
+#include <QTextStream>
 
 // mythtv
 #include <mythtv/mythcontext.h>
Index: mythmusic/mythmusic/metaio.h
===================================================================
--- mythmusic/mythmusic/metaio.h	(revision 20066)
+++ mythmusic/mythmusic/metaio.h	(working copy)
@@ -1,7 +1,7 @@
 #ifndef METAIO_H_
 #define METAIO_H_
 
-#include <qregexp.h>
+#include <QRegExp>
 
 #define MYTH_MUSICBRAINZ_ALBUMARTIST_UUID "89ad4ac3-39f7-470e-963a-56509c546377"
 
Index: mythmusic/mythmusic/dbcheck.cpp
===================================================================
--- mythmusic/mythmusic/dbcheck.cpp	(revision 20066)
+++ mythmusic/mythmusic/dbcheck.cpp	(working copy)
@@ -1,6 +1,5 @@
-#include <qstring.h>
-#include <qdir.h>
-//Added by qt3to4:
+#include <QString>
+#include <QDir>
 #include <QSqlError>
 
 #include <iostream>
Index: mythmusic/mythmusic/directoryfinder.cpp
===================================================================
--- mythmusic/mythmusic/directoryfinder.cpp	(revision 20066)
+++ mythmusic/mythmusic/directoryfinder.cpp	(working copy)
@@ -1,9 +1,8 @@
 #include <cstdlib>
 // Qt
-#include <qdir.h>
-#include <qapplication.h>
-#include <qfileinfo.h>
-//Added by qt3to4:
+#include <QDir>
+#include <QApplication>
+#include <QFileInfo>
 #include <QKeyEvent>
 
 // Myth
Index: mythmusic/mythmusic/treebuilders.h
===================================================================
--- mythmusic/mythmusic/treebuilders.h	(revision 20066)
+++ mythmusic/mythmusic/treebuilders.h	(working copy)
@@ -1,10 +1,10 @@
 #ifndef TREEBUILDERS_H_
 #define TREEBUILDERS_H_
 
-#include <qstring.h>
-#include <qstringlist.h>
-#include <q3ptrdict.h>
-#include <q3dict.h>
+#include <QString>
+#include <QStringList>
+#include <Q3PtrDict>
+#include <Q3Dict>
 
 #include "metadata.h"
 
Index: mythmusic/mythmusic/cdrip.cpp
===================================================================
--- mythmusic/mythmusic/cdrip.cpp	(revision 20066)
+++ mythmusic/mythmusic/cdrip.cpp	(working copy)
@@ -10,12 +10,14 @@
 
 // Linux C includes
 #include "config.h"
+
 #ifdef HAVE_CDAUDIO
 #include <cdaudio.h>
-//Added by qt3to4:
+
 #include <QKeyEvent>
 #include <Q3PtrList>
 #include <QEvent>
+
 extern "C" {
 #include <cdda_interface.h>
 #include <cdda_paranoia.h>
@@ -25,12 +27,13 @@
 // C++ includes
 #include <iostream>
 #include <memory>
+
 using namespace std;
 
 // Qt includes
-#include <qapplication.h>
-#include <qdir.h>
-#include <qregexp.h>
+#include <QApplication>
+#include <QDir>
+#include <QRegExp>
 
 // MythTV plugin includes
 #include <mythtv/mythcontext.h>
Index: mythmusic/mythmusic/playlist.cpp
===================================================================
--- mythmusic/mythmusic/playlist.cpp	(revision 20066)
+++ mythmusic/mythmusic/playlist.cpp	(working copy)
@@ -7,18 +7,17 @@
 using namespace std;
 #include "playlist.h"
 #include "qdatetime.h"
-//Added by qt3to4:
 #include <Q3PtrList>
-#include <Q3TextStream>
+#include <QTextStream>
 
 #include <mythtv/mythcontext.h>
 #include "smartplaylist.h"
 #include <mythtv/mythdb.h>
 #include <mythtv/compat.h>
 
-#include <qfileinfo.h>
-#include <q3process.h>
-#include <qapplication.h>
+#include <QFileInfo>
+#include <Q3Process>
+#include <QApplication>
 
 const char *kID0err = "Song with ID of 0 in playlist, this shouldn't happen.";
 
@@ -1800,7 +1799,7 @@
         return 1;
     }
 
-    Q3TextStream recstream(&reclistfile);
+    QTextStream recstream(&reclistfile);
 
     QStringList::Iterator iter;
 
Index: mythmusic/mythmusic/vorbisencoder.cpp
===================================================================
--- mythmusic/mythmusic/vorbisencoder.cpp	(revision 20066)
+++ mythmusic/mythmusic/vorbisencoder.cpp	(working copy)
@@ -1,7 +1,7 @@
-#include <qstring.h>
-#include <q3cstring.h>
-#include <qapplication.h>
-#include <q3progressbar.h>
+#include <QString>
+#include <Q3CString>
+#include <QApplication>
+#include <QProgressBar>
 
 #include "metadata.h"
 #include "encoder.h"
Index: mythmusic/mythmusic/synaesthesia.h
===================================================================
--- mythmusic/mythmusic/synaesthesia.h	(revision 20066)
+++ mythmusic/mythmusic/synaesthesia.h	(working copy)
@@ -10,8 +10,6 @@
 #include <SDL.h>
 #endif
 
-class QImage;
-
 #define LogSize 10
 #define Brightness 150
 #define NumSamples (1<<LogSize)
Index: mythmusic/mythmusic/decoder.cpp
===================================================================
--- mythmusic/mythmusic/decoder.cpp	(revision 20066)
+++ mythmusic/mythmusic/decoder.cpp	(working copy)
@@ -11,12 +11,12 @@
 #include <mythtv/output.h>
 #include <mythtv/visual.h>
 
-#include <qapplication.h>
-#include <qobject.h>
-#include <q3ptrlist.h>
-#include <qdir.h>
-#include <qstringlist.h>
-#include <qregexp.h>
+#include <QApplication>
+#include <QObject>
+#include <Q3PtrList>
+#include <QDir>
+#include <QStringList>
+#include <QRegExp>
 
 #include <mythtv/mythcontext.h>
 
Index: mythmusic/mythmusic/smartplaylist.cpp
===================================================================
--- mythmusic/mythmusic/smartplaylist.cpp	(revision 20066)
+++ mythmusic/mythmusic/smartplaylist.cpp	(working copy)
@@ -1,12 +1,11 @@
-#include <qlayout.h>
-#include <qpushbutton.h>
-#include <qlabel.h>
-#include <qsqlrecord.h>
-#include <qsqlfield.h>
-#include <qsqldriver.h>
-#include <q3sqlcursor.h>
-#include <q3hbox.h>
-//Added by qt3to4:
+#include <QLayout>
+#include <QPushButton>
+#include <QLabel>
+#include <QSqlRecord>
+#include <QSqlField>
+#include <QSqlDriver>
+#include <Q3SqlCursor>
+#include <Q3HBox>
 #include <Q3HBoxLayout>
 #include <QKeyEvent>
 #include <Q3Frame>
Index: mythmusic/mythmusic/flacencoder.h
===================================================================
--- mythmusic/mythmusic/flacencoder.h	(revision 20066)
+++ mythmusic/mythmusic/flacencoder.h	(working copy)
@@ -1,7 +1,7 @@
 #ifndef FLACENCODER_H_
 #define FLACENCODER_H_
 
-#include <qstring.h>
+#include <QString>
 
 #define HAVE_INTTYPES_H
 
Index: mythmusic/mythmusic/lameencoder.cpp
===================================================================
--- mythmusic/mythmusic/lameencoder.cpp	(revision 20066)
+++ mythmusic/mythmusic/lameencoder.cpp	(working copy)
@@ -23,10 +23,10 @@
     Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
-#include <qstring.h>
-#include <q3cstring.h>
-#include <qapplication.h>
-#include <q3progressbar.h>
+#include <QString>
+#include <Q3CString>
+#include <QApplication>
+#include <QProgressBar>
 
 #include "metadata.h"
 #include "lameencoder.h"
Index: mythmusic/mythmusic/treecheckitem.h
===================================================================
--- mythmusic/mythmusic/treecheckitem.h	(revision 20066)
+++ mythmusic/mythmusic/treecheckitem.h	(working copy)
@@ -4,7 +4,6 @@
 #include <mythtv/uilistbtntype.h>
 #include <QPixmap>
 
-class QPixmap;
 class PlaylistsContainer;
 class Playlist;
 class Track;
Index: mythmusic/mythmusic/databasebox.h
===================================================================
--- mythmusic/mythmusic/databasebox.h	(revision 20066)
+++ mythmusic/mythmusic/databasebox.h	(working copy)
@@ -1,18 +1,18 @@
 #ifndef DATABASEBOX_H_
 #define DATABASEBOX_H_
 
-#include <qwidget.h>
-#include <qdialog.h>
-#include <qstringlist.h>
-#include <qthread.h>
-#include <qtimer.h>
-#include <q3ptrlist.h>
-//Added by qt3to4:
+#include <QWidget>
+#include <QDialog>
+#include <QStringList>
+#include <QThread>
+#include <QTimer>
+#include <Q3PtrList>
 #include <QPixmap>
 #include <QKeyEvent>
 
 #include "metadata.h"
 #include "playlist.h"
+
 #include <mythtv/mythwidgets.h>
 #include <mythtv/lcddevice.h>
 #include <mythtv/uilistbtntype.h>
Index: mythmusic/mythmusic/metadata.h
===================================================================
--- mythmusic/mythmusic/metadata.h	(revision 20066)
+++ mythmusic/mythmusic/metadata.h	(working copy)
@@ -2,12 +2,13 @@
 #define METADATA_H_
 
 // qt
-#include <qstring.h>
-#include <qstringlist.h>
-#include <q3ptrlist.h>
-#include <q3valuelist.h>
-#include <qmap.h>
-#include <qthread.h>
+#include <QString>
+#include <QStringList>
+#include <Q3PtrList>
+#include <Q3ValueList>
+#include <QMap>
+#include <QThread>
+#include <Q3PtrCollection>
 
 // mythtv
 #include <mythtv/uitypes.h>
Index: mythmusic/mythmusic/editmetadata.cpp
===================================================================
--- mythmusic/mythmusic/editmetadata.cpp	(revision 20066)
+++ mythmusic/mythmusic/editmetadata.cpp	(working copy)
@@ -1,12 +1,13 @@
 #include <mythtv/mythcontext.h>
 #include <mythtv/mythdbcon.h>
 #include <mythtv/libmythui/mythuihelper.h>
-#include <qdir.h>
-//Added by qt3to4:
+
+#include <QDir>
 #include <QKeyEvent>
 #include <QLabel>
 #include <Q3PtrList>
 #include <QPixmap>
+
 #include "editmetadata.h"
 #include "decoder.h"
 #include "genres.h"
Index: mythmusic/mythmusic/bumpscope.cpp
===================================================================
--- mythmusic/mythmusic/bumpscope.cpp	(revision 20066)
+++ mythmusic/mythmusic/bumpscope.cpp	(working copy)
@@ -10,7 +10,7 @@
 
 #ifdef SDL_SUPPORT
 
-#include <qpainter.h>
+#include <QPainter>
 
 #include <math.h>
 #include <stdlib.h>
Index: mythmusic/mythmusic/directoryfinder.h
===================================================================
--- mythmusic/mythmusic/directoryfinder.h	(revision 20066)
+++ mythmusic/mythmusic/directoryfinder.h	(working copy)
@@ -4,9 +4,8 @@
 #include <iostream>
 
 // qt
-#include <qstring.h>
-#include <qstringlist.h>
-//Added by qt3to4:
+#include <QString>
+#include <QStringList>
 #include <QKeyEvent>
 #include <QPixmap>
 
Index: mythmusic/mythmusic/musicplayer.h
===================================================================
--- mythmusic/mythmusic/musicplayer.h	(revision 20066)
+++ mythmusic/mythmusic/musicplayer.h	(working copy)
@@ -7,6 +7,7 @@
 #include <mythtv/audiooutput.h>
 
 #include "metadata.h"
+#include <QEvent>
 
 class Decoder;
 class AudioOutput;
Index: mythmusic/mythmusic/flacencoder.cpp
===================================================================
--- mythmusic/mythmusic/flacencoder.cpp	(revision 20066)
+++ mythmusic/mythmusic/flacencoder.cpp	(working copy)
@@ -1,8 +1,9 @@
-#include <qstring.h>
+#include <QString>
 
 #include <iostream>
 #include <unistd.h>
 #include <stdlib.h>
+
 using namespace std;
 
 #include "metadata.h"
Index: mythmusic/mythmusic/metaiotaglib.h
===================================================================
--- mythmusic/mythmusic/metaiotaglib.h	(revision 20066)
+++ mythmusic/mythmusic/metaiotaglib.h	(working copy)
@@ -3,12 +3,13 @@
 
 #include "metaio.h"
 #include "metadata.h"
+
 #include <id3v2tag.h>
 #include <textidentificationframe.h>
 #include <attachedpictureframe.h>
 #include <mpegfile.h>
 #include <mpegproperties.h>
-//Added by qt3to4:
+
 #include <Q3ValueList>
 
 using TagLib::MPEG::File;
Index: mythmusic/mythmusic/vorbisencoder.h
===================================================================
--- mythmusic/mythmusic/vorbisencoder.h	(revision 20066)
+++ mythmusic/mythmusic/vorbisencoder.h	(working copy)
@@ -1,7 +1,7 @@
 #ifndef VORBISENCODER_H_
 #define VORBISENCODER_H_
 
-#include <qstring.h>
+#include <QString>
 
 class Metadata;
 class Encoder;
Index: mythmusic/mythmusic/databasebox.cpp
===================================================================
--- mythmusic/mythmusic/databasebox.cpp	(revision 20066)
+++ mythmusic/mythmusic/databasebox.cpp	(working copy)
@@ -1,18 +1,18 @@
 #include <cstdlib>
 #include <iostream>
-//Added by qt3to4:
-#include <QKeyEvent>
-#include <Q3PtrList>
+
 using namespace std;
 
 // qt
-#include <qapplication.h>
-#include <qstringlist.h>
-#include <qpixmap.h>
-#include <qregexp.h>
-#include <q3frame.h>
-#include <qlayout.h>
-#include <qevent.h>
+#include <QKeyEvent>
+#include <Q3PtrList>
+#include <QApplication>
+#include <QStringList>
+#include <QPixmap>
+#include <QRegExp>
+#include <Q3Frame>
+#include <QLayout>
+#include <QEvent>
 
 // mythtv
 #include <mythtv/dialogbox.h>
Index: mythmusic/mythmusic/smartplaylist.h
===================================================================
--- mythmusic/mythmusic/smartplaylist.h	(revision 20066)
+++ mythmusic/mythmusic/smartplaylist.h	(working copy)
@@ -1,10 +1,10 @@
 #ifndef SMARTPLAYLIST_H_
 #define SMARTPLAYLIST_H_
 
-#include <qdatetime.h>
-#include <qlayout.h>
-#include <q3hbox.h>
-#include <qvariant.h>
+#include <QDateTime>
+#include <QLayout>
+#include <Q3HBox>
+#include <QVariant>
 #include <Q3HBoxLayout>
 #include <QLabel>
 #include <Q3PtrList>
@@ -14,9 +14,9 @@
 #include <mythtv/mythwidgets.h>
 #include <mythtv/mythdialogs.h>
 
-class Q3MythListView;
-class Q3ListBoxItem;
-class Q3MythListBox;
+#include "mythlistbox-qt3.h"
+#include "mythlistview-qt3.h"
+
 struct SmartPLOperator;
 struct SmartPLField;
 
Index: mythmusic/mythmusic/importmusic.h
===================================================================
--- mythmusic/mythmusic/importmusic.h	(revision 20066)
+++ mythmusic/mythmusic/importmusic.h	(working copy)
@@ -4,7 +4,6 @@
 #include <iostream>
 using namespace std;
 
-//Added by qt3to4:
 #include <QKeyEvent>
 #include <QThread>
 
Index: mythmusic/mythmusic/mythlistview-qt3.h
===================================================================
--- mythmusic/mythmusic/mythlistview-qt3.h	(revision 20066)
+++ mythmusic/mythmusic/mythlistview-qt3.h	(working copy)
@@ -1,7 +1,9 @@
 #ifndef _MYTHLISTVIEW_H_
 #define _MYTHLISTVIEW_H_
 
-#include <q3listview.h>
+#include <Q3ListView>
+#include <QFocusEvent>
+#include <QKeyEvent>
 
 class Q3MythListView : public Q3ListView
 {
Index: mythmusic/mythmusic/lameencoder.h
===================================================================
--- mythmusic/mythmusic/lameencoder.h	(revision 20066)
+++ mythmusic/mythmusic/lameencoder.h	(working copy)
@@ -26,7 +26,7 @@
 #ifndef LAMEENCODER_H_
 #define LAMEENCODER_H_
 
-#include <qstring.h>
+#include <QString>
 
 class Metadata;
 class Encoder;
Index: mythmusic/mythmusic/editmetadata.h
===================================================================
--- mythmusic/mythmusic/editmetadata.h	(revision 20066)
+++ mythmusic/mythmusic/editmetadata.h	(working copy)
@@ -2,7 +2,6 @@
 #define EDITMETADATA_H_
 
 #include <iostream>
-//Added by qt3to4:
 #include <QPixmap>
 #include <QKeyEvent>
 using namespace std;
Index: mythmusic/mythmusic/musicplayer.cpp
===================================================================
--- mythmusic/mythmusic/musicplayer.cpp	(revision 20066)
+++ mythmusic/mythmusic/musicplayer.cpp	(working copy)
@@ -3,14 +3,15 @@
 
 // C++ includes
 #include <iostream>
-#include <Q3ValueList>
 
 using namespace std;
 
 // qt
-#include <qapplication.h>
-#include <q3url.h>
-#include <qwidget.h>
+#include <Q3ValueList>
+#include <QEvent>
+#include <QApplication>
+#include <QUrl>
+#include <QWidget>
 #include <QFile>
 
 // mythtv
Index: mythmusic/mythmusic/mythlistbox-qt3.h
===================================================================
--- mythmusic/mythmusic/mythlistbox-qt3.h	(revision 20066)
+++ mythmusic/mythmusic/mythlistbox-qt3.h	(working copy)
@@ -1,7 +1,9 @@
 #ifndef _MYTHLISTBOX_H_
 #define _MYTHLISTBOX_H_
 
-#include <q3listbox.h>
+#include <Q3ListBox>
+#include <QFocusEvent>
+#include <QKeyEvent>
 
 class Q3MythListBox: public Q3ListBox
 {
Index: mythmusic/mythmusic/metaiotaglib.cpp
===================================================================
--- mythmusic/mythmusic/metaiotaglib.cpp	(revision 20066)
+++ mythmusic/mythmusic/metaiotaglib.cpp	(working copy)
@@ -4,7 +4,7 @@
 #include "metadata.h"
 
 #include <mythtv/mythcontext.h>
-//Added by qt3to4:
+
 #include <Q3ValueList>
 
 MetaIOTagLib::MetaIOTagLib(void)
Index: mythmusic/mythmusic/playbackbox.h
===================================================================
--- mythmusic/mythmusic/playbackbox.h	(revision 20066)
+++ mythmusic/mythmusic/playbackbox.h	(working copy)
@@ -2,10 +2,11 @@
 #define PLAYBACKBOX_H_
 
 // qt
-#include <qtimer.h>
-#include <qmutex.h>
-#include <q3valuevector.h>
+#include <QTimer>
+#include <QMutex>
+#include <Q3ValueVector>
 #include <QKeyEvent>
+#include <QEvent>
 
 // mythtv
 #include <mythtv/mythwidgets.h>
Index: mythmusic/mythmusic/mainvisual.cpp
===================================================================
--- mythmusic/mythmusic/mainvisual.cpp	(revision 20066)
+++ mythmusic/mythmusic/mainvisual.cpp	(working copy)
@@ -11,15 +11,15 @@
 #include <iostream>
 
 // qt
-#include <qtimer.h>
-#include <qpainter.h>
-#include <qevent.h>
-#include <qapplication.h>
-#include <qspinbox.h>
-#include <qpixmap.h>
-#include <qcursor.h>
-#include <qstring.h>
-#include <qregexp.h>
+#include <QTimer>
+#include <QPainter>
+#include <QEvent>
+#include <QApplication>
+#include <QSpinBox>
+#include <QPixmap>
+#include <QCursor>
+#include <QString>
+#include <QRegExp>
 #include <QHideEvent>
 #include <QResizeEvent>
 #include <QPaintEvent>
Index: mythmusic/mythmusic/search.h
===================================================================
--- mythmusic/mythmusic/search.h	(revision 20066)
+++ mythmusic/mythmusic/search.h	(working copy)
@@ -1,9 +1,9 @@
 #ifndef SEARCH_H_
 #define SEARCH_H_
 
-#include <qregexp.h>
-//Added by qt3to4:
+#include <QRegExp>
 #include <QLabel>
+
 #include <mythtv/mythdialogs.h>
 #include <mythtv/mythwidgets.h>
 
Index: mythmusic/mythmusic/importmusic.cpp
===================================================================
--- mythmusic/mythmusic/importmusic.cpp	(revision 20066)
+++ mythmusic/mythmusic/importmusic.cpp	(working copy)
@@ -1,8 +1,7 @@
 // qt
-#include <qdir.h>
-#include <qapplication.h>
-#include <qfontmetrics.h>
-//Added by qt3to4:
+#include <QDir>
+#include <QApplication>
+#include <QFontMetrics>
 #include <QKeyEvent>
 #include <QLabel>
 #include <Q3Frame>
Index: mythmusic/mythmusic/cddecoder.cpp
===================================================================
--- mythmusic/mythmusic/cddecoder.cpp	(revision 20066)
+++ mythmusic/mythmusic/cddecoder.cpp	(working copy)
@@ -2,9 +2,11 @@
 #include <stdlib.h>
 #include <iostream>
 #include <string>
-#include <qobject.h>
-#include <qiodevice.h>
-#include <qfile.h>
+
+#include <QObject>
+#include <QIODevice>
+#include <QFile>
+
 using namespace std;
 
 #include "cddecoder.h"
Index: mythmusic/mythmusic/mythlistview-qt3.cpp
===================================================================
--- mythmusic/mythmusic/mythlistview-qt3.cpp	(revision 20066)
+++ mythmusic/mythmusic/mythlistview-qt3.cpp	(working copy)
@@ -2,6 +2,8 @@
 
 #include "mythlistview-qt3.h"
 #include "q3header.h"
+#include <QFocusEvent>
+#include <QKeyEvent>
 
 Q3MythListView::Q3MythListView(QWidget *parent) : Q3ListView(parent)
 {
Index: mythmusic/mythmusic/miniplayer.h
===================================================================
--- mythmusic/mythmusic/miniplayer.h	(revision 20066)
+++ mythmusic/mythmusic/miniplayer.h	(working copy)
@@ -1,13 +1,13 @@
 #ifndef MINIPLAYER_H_
 #define MINIPLAYER_H_
 
-#include <qstring.h>
+#include <QString>
 #include <QKeyEvent>
+#include <QEvent>
 
 #include "mythtv/mythdialogs.h"
 
 class MusicPlayer;
-class QTimer;
 class Metadata;
 
 class MPUBLIC MiniPlayer : public MythThemedDialog
Index: mythmusic/mythmusic/goom/mythgoom.cpp
===================================================================
--- mythmusic/mythmusic/goom/mythgoom.cpp	(revision 20066)
+++ mythmusic/mythmusic/goom/mythgoom.cpp	(working copy)
@@ -7,7 +7,7 @@
 #include "goom_core.h"
 }
 
-#include <qpainter.h>
+#include <QPainter>
 
 #include <math.h>
 #include <stdlib.h>
Index: mythmusic/mythmusic/streaminput.h
===================================================================
--- mythmusic/mythmusic/streaminput.h	(revision 20066)
+++ mythmusic/mythmusic/streaminput.h	(working copy)
@@ -1,5 +1,3 @@
-//Added by qt3to4:
-#include <Q3CString>
 // Copyright (c) 2000-2001 Brad Hughes <bhughes@trolltech.com>
 //
 // Use, modification and distribution is allowed without limitation,
@@ -11,15 +9,16 @@
 
 class StreamInput;
 
-#include <q3url.h>
-#include <q3socket.h>
+#include <QUrl>
+#include <Q3Socket>
+#include <Q3CString>
 
 
 class StreamInput : public QObject
 {
     Q_OBJECT
 public:
-    StreamInput(const Q3Url &);
+    StreamInput(const QUrl &);
 
     QIODevice *socket() { return sock; }
 
@@ -35,7 +34,7 @@
 
 private:
     Q3CString request;
-    Q3Url url;
+    QUrl url;
     Q3Socket *sock;
     int stage;
 };
Index: mythmusic/mythmusic/visualize.h
===================================================================
--- mythmusic/mythmusic/visualize.h	(revision 20066)
+++ mythmusic/mythmusic/visualize.h	(working copy)
@@ -19,8 +19,9 @@
 #include "config.h"
 
 #include <complex>
-//Added by qt3to4:
+
 #include <Q3MemArray>
+
 extern "C" {
 #ifdef FFTW3_SUPPORT
 #include <fftw3.h>
@@ -41,7 +42,7 @@
 }
 
 #ifdef OPENGL_SUPPORT
-#include <qgl.h>
+#include <QtOpenGL>
 #endif
 
 class Spectrum : public VisualBase
Index: mythmusic/mythmusic/metaiooggvorbiscomment.cpp
===================================================================
--- mythmusic/mythmusic/metaiooggvorbiscomment.cpp	(revision 20066)
+++ mythmusic/mythmusic/metaiooggvorbiscomment.cpp	(working copy)
@@ -19,9 +19,11 @@
 #include "metaiovorbiscomment.h"
 #include "metadata.h"
 #include "vcedit.h"
+
 #include <vorbis/vorbisfile.h>
-#include <qfileinfo.h>
 
+#include <QFileInfo>
+
 //==========================================================================
 MetaIOOggVorbisComment::MetaIOOggVorbisComment(void)
     : MetaIO(".ogg")
Index: mythmusic/mythmusic/globalsettings.h
===================================================================
--- mythmusic/mythmusic/globalsettings.h	(revision 20066)
+++ mythmusic/mythmusic/globalsettings.h	(working copy)
@@ -3,12 +3,10 @@
 
 #include "mythtv/settings.h"
 #include "mythtv/mythcontext.h"
+#include "mythlistview-qt3.h"
+#include <QKeyEvent>
+#include <QEvent>
 
-class QKeyEvent;
-class QEvent;
-class Q3MythListView;
-class Q3ListViewItem;
-
 class MusicGeneralSettings : public ConfigurationWizard
 {
   public:
Index: mythmusic/mythmusic/filescanner.cpp
===================================================================
--- mythmusic/mythmusic/filescanner.cpp	(revision 20066)
+++ mythmusic/mythmusic/filescanner.cpp	(working copy)
@@ -2,8 +2,8 @@
 #include <sys/stat.h>
 
 // Qt headers
-#include <qapplication.h>
-#include <qdir.h>
+#include <QApplication>
+#include <QDir>
 
 // MythTV headers
 #include <mythtv/mythcontext.h>
Index: mythmusic/mythmusic/mythlistbox-qt3.cpp
===================================================================
--- mythmusic/mythmusic/mythlistbox-qt3.cpp	(revision 20066)
+++ mythmusic/mythmusic/mythlistbox-qt3.cpp	(working copy)
@@ -1,5 +1,8 @@
 #include "mythcontext.h"
 #include "mythlistbox-qt3.h"
+#include <QEvent>
+#include <QKeyEvent>
+#include <QFocusEvent>
 
 Q3MythListBox::Q3MythListBox(QWidget* parent): Q3ListBox(parent)
 {
Index: mythmusic/theme/theme.pro
===================================================================
--- mythmusic/theme/theme.pro	(revision 20066)
+++ mythmusic/theme/theme.pro	(working copy)
@@ -22,3 +22,4 @@
 
 # Input
 SOURCES += ../../themedummy.c
+QT += xml  sql opengl qt3support 
Index: mytharchive/i18n/i18n.pro
===================================================================
--- mytharchive/i18n/i18n.pro	(revision 20066)
+++ mytharchive/i18n/i18n.pro	(working copy)
@@ -13,3 +13,4 @@
 INSTALLS += trans
 
 SOURCES += dummy.c
+QT += xml  sql qt3support 
Index: mytharchive/theme/theme.pro
===================================================================
--- mytharchive/theme/theme.pro	(revision 20066)
+++ mytharchive/theme/theme.pro	(working copy)
@@ -22,3 +22,4 @@
 
 # Input
 SOURCES += ../../themedummy.c
+QT += xml  sql qt3support 
Index: mytharchive/mytharchive/mytharchive.pro
===================================================================
--- mytharchive/mytharchive/mytharchive.pro	(revision 20066)
+++ mytharchive/mytharchive/mytharchive.pro	(working copy)
@@ -55,7 +55,7 @@
 INSTALLS +=  profilefiles burnuifiles
 INSTALLS +=  nativeuifiles 
 
-#The following line was inserted by qt3to4
 QT += xml sql opengl 
 
 include ( ../../libs-targetfix.pro )
+QT +=  qt3support 
Index: mytharchive/mytharchive/logviewer.cpp
===================================================================
--- mytharchive/mytharchive/logviewer.cpp	(revision 20066)
+++ mytharchive/mytharchive/logviewer.cpp	(working copy)
@@ -5,6 +5,7 @@
 // qt
 #include <QKeyEvent>
 #include <QFile>
+#include <QTextStream>
 
 // mythtv
 #include <mythtv/mythcontext.h>
Index: mytharchive/mytharchive/thumbfinder.cpp
===================================================================
--- mytharchive/mytharchive/thumbfinder.cpp	(revision 20066)
+++ mytharchive/mytharchive/thumbfinder.cpp	(working copy)
@@ -12,6 +12,8 @@
 #include <QDir>
 //#include <QFileInfo>
 #include <QPainter>
+#include <QKeyEvent>
+#include <QPixmap>
 
 // myth
 #include <mythtv/mythcontext.h>
Index: mytharchive/mytharchive/videoselector.cpp
===================================================================
--- mytharchive/mytharchive/videoselector.cpp	(revision 20066)
+++ mytharchive/mytharchive/videoselector.cpp	(working copy)
@@ -6,6 +6,7 @@
 // qt
 #include <QDir>
 #include <QTimer>
+#include <QKeyEvent>
 
 // mythtv
 #include <mythtv/mythcontext.h>
Index: mytharchive/mytharchive/logviewer.h
===================================================================
--- mytharchive/mytharchive/logviewer.h	(revision 20066)
+++ mytharchive/mytharchive/logviewer.h	(working copy)
@@ -3,6 +3,7 @@
 
 // qt
 #include <QTimer>
+#include <QKeyEvent>
 
 // myth
 #include <libmythui/mythscreentype.h>
Index: mytharchive/mytharchive/mythburn.cpp
===================================================================
--- mytharchive/mytharchive/mythburn.cpp	(revision 20066)
+++ mytharchive/mytharchive/mythburn.cpp	(working copy)
@@ -12,6 +12,7 @@
 #include <QApplication>
 #include <QKeyEvent>
 #include <QTextStream>
+#include <QEvent>
 
 // myth
 #include <mythtv/mythcontext.h>
Index: mytharchive/mytharchive/themeselector.h
===================================================================
--- mytharchive/mytharchive/themeselector.h	(revision 20066)
+++ mytharchive/mytharchive/themeselector.h	(working copy)
@@ -3,6 +3,7 @@
 
 // qt
 #include <QStringList>
+#include <QKeyEvent>
 
 // mythtv
 #include <libmythui/mythscreentype.h>
Index: mytharchive/mytharchive/thumbfinder.h
===================================================================
--- mytharchive/mytharchive/thumbfinder.h	(revision 20066)
+++ mytharchive/mytharchive/thumbfinder.h	(working copy)
@@ -4,6 +4,7 @@
 // qt
 #include <QString>
 #include <QStringList>
+#include <QKeyEvent>
 
 // mythtv
 #include <libmythui/mythscreentype.h>
Index: mytharchive/mytharchive/videoselector.h
===================================================================
--- mytharchive/mytharchive/videoselector.h	(revision 20066)
+++ mytharchive/mytharchive/videoselector.h	(working copy)
@@ -15,6 +15,7 @@
 
 // mytharchive
 #include "archiveutil.h"
+#include <QKeyEvent>
 
 class ProgramInfo;
 class MythUIText;
Index: mytharchive/mytharchive/mythburn.h
===================================================================
--- mytharchive/mytharchive/mythburn.h	(revision 20066)
+++ mytharchive/mytharchive/mythburn.h	(working copy)
@@ -6,6 +6,8 @@
 
 // mytharchive
 #include "archiveutil.h"
+#include <QEvent>
+#include <QKeyEvent>
 
 class MythUIText;
 class MythUIButton;
Index: mytharchive/mytharchive/archiveutil.cpp
===================================================================
--- mytharchive/mytharchive/archiveutil.cpp	(revision 20066)
+++ mytharchive/mytharchive/archiveutil.cpp	(working copy)
@@ -10,8 +10,8 @@
 #include <iostream>
 
 // qt
-#include <qdir.h>
-#include <qdom.h>
+#include <QDir>
+#include <QDomNode>
 
 // myth
 #include <mythcontext.h>
Index: mytharchive/mytharchive/fileselector.cpp
===================================================================
--- mytharchive/mytharchive/fileselector.cpp	(revision 20066)
+++ mytharchive/mytharchive/fileselector.cpp	(working copy)
@@ -5,6 +5,7 @@
 #include <QDir>
 #include <QFileInfo>
 #include <QVariant>
+#include <QKeyEvent>
 
 // Myth
 #include <mythtv/mythcontext.h>
Index: mytharchive/mytharchive/importnative.cpp
===================================================================
--- mytharchive/mytharchive/importnative.cpp	(revision 20066)
+++ mytharchive/mytharchive/importnative.cpp	(working copy)
@@ -5,6 +5,7 @@
 #include <QDir>
 #include <QFileInfo>
 #include <QDomDocument>
+#include <QKeyEvent>
 
 // Myth
 #include <mythtv/mythcontext.h>
Index: mytharchive/mytharchive/recordingselector.h
===================================================================
--- mytharchive/mytharchive/recordingselector.h	(revision 20066)
+++ mytharchive/mytharchive/recordingselector.h	(working copy)
@@ -13,6 +13,7 @@
 // qt
 #include <QList>
 #include <QStringList>
+#include <QKeyEvent>
 
 // mythtv
 #include <libmythui/mythscreentype.h>
Index: mytharchive/mytharchive/dbcheck.cpp
===================================================================
--- mytharchive/mytharchive/dbcheck.cpp	(revision 20066)
+++ mytharchive/mytharchive/dbcheck.cpp	(working copy)
@@ -1,9 +1,8 @@
 #include <iostream>
 
 // qt
-#include <qstring.h>
-#include <qdir.h>
-//Added by qt3to4:
+#include <QString>
+#include <QDir>
 #include <QSqlError>
 
 // myth
Index: mytharchive/mytharchive/editmetadata.cpp
===================================================================
--- mytharchive/mytharchive/editmetadata.cpp	(revision 20066)
+++ mytharchive/mytharchive/editmetadata.cpp	(working copy)
@@ -7,6 +7,7 @@
 
 // mytharchive
 #include "editmetadata.h"
+#include <QKeyEvent>
 
 EditMetadataDialog::EditMetadataDialog(MythScreenStack *parent, 
                                        ArchiveItem *source_metadata)
Index: mytharchive/mytharchivehelper/mytharchivehelper.pro
===================================================================
--- mytharchive/mytharchivehelper/mytharchivehelper.pro	(revision 20066)
+++ mytharchive/mytharchivehelper/mytharchivehelper.pro	(working copy)
@@ -27,3 +27,4 @@
 using_hdhomerun: LIBS += -lmythhdhomerun-$$LIBVERSION
 
 QT += xml sql opengl
+QT +=  qt3support 
Index: mytharchive/mytharchivehelper/main.cpp
===================================================================
--- mytharchive/mytharchivehelper/main.cpp	(revision 20066)
+++ mytharchive/mytharchivehelper/main.cpp	(working copy)
@@ -10,6 +10,7 @@
 #include <sys/mount.h>
 #elif __linux__
 #include <sys/vfs.h>
+#include <QTextStream>
 #endif
 
 using namespace std;
Index: mythbrowser/i18n/i18n.pro
===================================================================
--- mythbrowser/i18n/i18n.pro	(revision 20066)
+++ mythbrowser/i18n/i18n.pro	(working copy)
@@ -14,3 +14,4 @@
 INSTALLS += trans
 
 SOURCES += dummy.c
+QT +=  sql qt3support 
Index: mythbrowser/mythbookmarkmanager/bookmarkmanager.cpp
===================================================================
--- mythbrowser/mythbookmarkmanager/bookmarkmanager.cpp	(revision 20066)
+++ mythbrowser/mythbookmarkmanager/bookmarkmanager.cpp	(working copy)
@@ -1,7 +1,8 @@
 #include <iostream>
 
 // qt
-#include <qstring.h>
+#include <QString>
+#include <QKeyEvent>
 
 // myth
 #include <mythtv/mythcontext.h>
Index: mythbrowser/mythbookmarkmanager/mythbookmarkmanager.pro
===================================================================
--- mythbrowser/mythbookmarkmanager/mythbookmarkmanager.pro	(revision 20066)
+++ mythbrowser/mythbookmarkmanager/mythbookmarkmanager.pro	(working copy)
@@ -15,3 +15,4 @@
 SOURCES += main.cpp bookmarkmanager.cpp bookmarkeditor.cpp browserdbutil.cpp
 
 include ( ../../libs-targetfix.pro )
+QT +=  qt3support 
Index: mythbrowser/mythbookmarkmanager/bookmarkeditor.h
===================================================================
--- mythbrowser/mythbookmarkmanager/bookmarkeditor.h	(revision 20066)
+++ mythbrowser/mythbookmarkmanager/bookmarkeditor.h	(working copy)
@@ -7,6 +7,7 @@
 #include <mythtv/libmythui/mythuibutton.h>
 #include <mythtv/libmythui/mythuitext.h>
 #include <mythtv/libmythui/mythuitextedit.h>
+#include <QKeyEvent>
 
 
 class Bookmark;
Index: mythbrowser/mythbookmarkmanager/bookmarkmanager.h
===================================================================
--- mythbrowser/mythbookmarkmanager/bookmarkmanager.h	(revision 20066)
+++ mythbrowser/mythbookmarkmanager/bookmarkmanager.h	(working copy)
@@ -11,6 +11,7 @@
 #include <libmythui/mythuibuttonlist.h>
 #include <libmythui/mythscreentype.h>
 #include <libmythui/mythdialogbox.h>
+#include <QKeyEvent>
 
 class MythBrowser;
 
Index: mythbrowser/mythbookmarkmanager/browserdbutil.cpp
===================================================================
--- mythbrowser/mythbookmarkmanager/browserdbutil.cpp	(revision 20066)
+++ mythbrowser/mythbookmarkmanager/browserdbutil.cpp	(working copy)
@@ -4,6 +4,7 @@
 
 // mythbrowser
 #include "browserdbutil.h"
+#include <QSqlError>
 
 const QString currentDatabaseVersion = "1000";
 
Index: mythbrowser/mythbookmarkmanager/bookmarkeditor.cpp
===================================================================
--- mythbrowser/mythbookmarkmanager/bookmarkeditor.cpp	(revision 20066)
+++ mythbrowser/mythbookmarkmanager/bookmarkeditor.cpp	(working copy)
@@ -9,6 +9,7 @@
 #include "bookmarkeditor.h"
 #include "bookmarkmanager.h"
 #include "browserdbutil.h"
+#include <QKeyEvent>
 
 /** \brief Creates a new BookmarkEditor Screen
  *  \param site   The bookmark we are adding/editing
Index: mythbrowser/theme/theme.pro
===================================================================
--- mythbrowser/theme/theme.pro	(revision 20066)
+++ mythbrowser/theme/theme.pro	(working copy)
@@ -22,3 +22,4 @@
 
 # Input
 SOURCES += ../../themedummy.c
+QT +=  sql qt3support 
Index: mythbrowser/mythbrowser/mythbrowser.pro
===================================================================
--- mythbrowser/mythbrowser/mythbrowser.pro	(revision 20066)
+++ mythbrowser/mythbrowser/mythbrowser.pro	(working copy)
@@ -24,3 +24,4 @@
 HEADERS += ../mythbookmarkmanager/bookmarkmanager.h ../mythbookmarkmanager/browserdbutil.h
 SOURCES += main.cpp mythbrowser.cpp webpage.cpp ../mythbookmarkmanager/bookmarkeditor.cpp
 SOURCES += ../mythbookmarkmanager/bookmarkmanager.cpp ../mythbookmarkmanager/browserdbutil.cpp
+QT +=  qt3support 
Index: mythbrowser/mythbrowser/mythbrowser.cpp
===================================================================
--- mythbrowser/mythbrowser/mythbrowser.cpp	(revision 20066)
+++ mythbrowser/mythbrowser/mythbrowser.cpp	(working copy)
@@ -3,6 +3,8 @@
 
 // qt
 #include <QEvent>
+#include <QPixmap>
+#include <QKeyEvent>
 
 // myth
 #include "mythverbose.h"
Index: mythbrowser/mythbrowser/mythbrowser.h
===================================================================
--- mythbrowser/mythbrowser/mythbrowser.h	(revision 20066)
+++ mythbrowser/mythbrowser/mythbrowser.h	(working copy)
@@ -2,6 +2,7 @@
 #define MYTHBROWSER_H
 
 #include <QUrl>
+#include <QKeyEvent>
 
 #include <libmythui/mythuiwebbrowser.h>
 #include <libmythui/mythuibuttonlist.h>
Index: mythbrowser/mythbrowser/webpage.cpp
===================================================================
--- mythbrowser/mythbrowser/webpage.cpp	(revision 20066)
+++ mythbrowser/mythbrowser/webpage.cpp	(working copy)
@@ -4,6 +4,7 @@
 // qt
 #include <QEvent>
 #include <QIcon>
+#include <QPixmap>
 
 // myth
 #include "mythverbose.h"
Index: settings.pro
===================================================================
--- settings.pro	(revision 20066)
+++ settings.pro	(working copy)
@@ -1,5 +1,7 @@
 CONFIG += $$CCONFIG
 
+QT += qt3support
+
 LIBVERSION = 0.22
 
 INCLUDEPATH += $${PREFIX}/include
Index: mythweather/i18n/i18n.pro
===================================================================
--- mythweather/i18n/i18n.pro	(revision 20066)
+++ mythweather/i18n/i18n.pro	(working copy)
@@ -14,3 +14,4 @@
 INSTALLS += trans
 
 SOURCES += dummy.c
+QT += xml  sql qt3support 
Index: mythweather/mythweather/weatherScreen.cpp
===================================================================
--- mythweather/mythweather/weatherScreen.cpp	(revision 20066)
+++ mythweather/mythweather/weatherScreen.cpp	(working copy)
@@ -1,5 +1,6 @@
 // C++ headers
 #include <vector>
+#include <QKeyEvent>
 using namespace std;
 
 // MythTV headers
Index: mythweather/mythweather/weather.cpp
===================================================================
--- mythweather/mythweather/weather.cpp	(revision 20066)
+++ mythweather/mythweather/weather.cpp	(working copy)
@@ -5,6 +5,7 @@
 
 // QT headers
 #include <QApplication>
+#include <QKeyEvent>
 
 // MythTV headers
 #include <mythdbcon.h>
Index: mythweather/mythweather/weatherScreen.h
===================================================================
--- mythweather/mythweather/weatherScreen.h	(revision 20066)
+++ mythweather/mythweather/weatherScreen.h	(working copy)
@@ -4,6 +4,7 @@
 // QT headers
 #include <QStringList>
 #include <QMap>
+#include <QKeyEvent>
 
 // MythTV headers
 #include <mythscreentype.h>
Index: mythweather/mythweather/weather.h
===================================================================
--- mythweather/mythweather/weather.h	(revision 20066)
+++ mythweather/mythweather/weather.h	(working copy)
@@ -3,6 +3,7 @@
 
 // QT headers
 #include <QList>
+#include <QKeyEvent>
 
 // MythTV headers
 #include <mythscreentype.h>
Index: mythweather/mythweather/mythweather.pro
===================================================================
--- mythweather/mythweather/mythweather.pro	(revision 20066)
+++ mythweather/mythweather/mythweather.pro	(working copy)
@@ -27,3 +27,4 @@
 SOURCES += dbcheck.cpp weatherSetup.cpp weatherUtils.cpp
 
 include ( ../../libs-targetfix.pro )
+QT +=  qt3support 
Index: mythweather/mythweather/weatherSource.cpp
===================================================================
--- mythweather/mythweather/weatherSource.cpp	(revision 20066)
+++ mythweather/mythweather/weatherSource.cpp	(working copy)
@@ -3,7 +3,6 @@
 // QT headers
 #include <QDir>
 #include <QFile>
-#include <QTextStream>
 #include <QApplication>
 
 // MythTV headers
Index: mythweather/mythweather/weatherSetup.cpp
===================================================================
--- mythweather/mythweather/weatherSetup.cpp	(revision 20066)
+++ mythweather/mythweather/weatherSetup.cpp	(working copy)
@@ -1,6 +1,8 @@
 
 // QT headers
 #include <QApplication>
+#include <QKeyEvent>
+#include <QEvent>
 
 // MythTV headers
 #include <mythdbcon.h>
Index: mythweather/mythweather/dbcheck.cpp
===================================================================
--- mythweather/mythweather/dbcheck.cpp	(revision 20066)
+++ mythweather/mythweather/dbcheck.cpp	(working copy)
@@ -1,6 +1,7 @@
 #include <QString>
 #include <QDir>
 #include <QStringList>
+#include <QSqlError>
 
 #include <mythcontext.h>
 #include <mythdb.h>
Index: mythweather/mythweather/weatherSetup.h
===================================================================
--- mythweather/mythweather/weatherSetup.h	(revision 20066)
+++ mythweather/mythweather/weatherSetup.h	(working copy)
@@ -3,6 +3,8 @@
 
 // QT headers
 #include <QList>
+#include <QEvent>
+#include <QKeyEvent>
 
 // MythTV headers
 #include <mythcontext.h>
Index: mythweather/theme/theme.pro
===================================================================
--- mythweather/theme/theme.pro	(revision 20066)
+++ mythweather/theme/theme.pro	(working copy)
@@ -22,3 +22,4 @@
 
 # Input
 SOURCES += ../../themedummy.c
+QT += xml  sql qt3support 
Index: mythgallery/i18n/i18n.pro
===================================================================
--- mythgallery/i18n/i18n.pro	(revision 20066)
+++ mythgallery/i18n/i18n.pro	(working copy)
@@ -15,3 +15,4 @@
 INSTALLS += trans
 
 SOURCES += dummy.c
+QT +=  sql opengl qt3support 
Index: mythgallery/mythgallery/glsingleview.h
===================================================================
--- mythgallery/mythgallery/glsingleview.h	(revision 20066)
+++ mythgallery/mythgallery/glsingleview.h	(working copy)
@@ -33,9 +33,6 @@
 #include "sequence.h"
 #include "gltexture.h"
 
-class QImage;
-class QTimer;
-
 class GLSingleView;
 
 class GLSDialog : public MythDialog
Index: mythgallery/mythgallery/singleview.cpp
===================================================================
--- mythgallery/mythgallery/singleview.cpp	(revision 20066)
+++ mythgallery/mythgallery/singleview.cpp	(working copy)
@@ -26,7 +26,6 @@
 using namespace std;
 
 // Qt headers
-//#include <qevent.h>
 #include <QImage>
 #include <QTimer>
 #include <QPainter>
Index: mythgallery/mythgallery/mythgallery.pro
===================================================================
--- mythgallery/mythgallery/mythgallery.pro	(revision 20066)
+++ mythgallery/mythgallery/mythgallery.pro	(working copy)
@@ -36,7 +36,7 @@
 }
 
 
-#The following line was inserted by qt3to4
 QT += network opengl sql xml
 
 include ( ../../libs-targetfix.pro )
+QT +=  qt3support 
Index: mythgallery/mythgallery/thumbview.h
===================================================================
--- mythgallery/mythgallery/thumbview.h	(revision 20066)
+++ mythgallery/mythgallery/thumbview.h	(working copy)
@@ -10,7 +10,6 @@
 #include <QPixmap>
 
 class MythMediaDevice;
-class QPixmap;
 
 class ThumbItem
 {
Index: mythgallery/mythgallery/singleview.h
===================================================================
--- mythgallery/mythgallery/singleview.h	(revision 20066)
+++ mythgallery/mythgallery/singleview.h	(working copy)
@@ -40,8 +40,6 @@
 #include "iconview.h"
 #include "sequence.h"
 
-class QTimer;
-
 class SingleView : public MythDialog, public ImageView
 {
     Q_OBJECT
Index: mythgallery/mythgallery/imageview.h
===================================================================
--- mythgallery/mythgallery/imageview.h	(revision 20066)
+++ mythgallery/mythgallery/imageview.h	(working copy)
@@ -28,8 +28,6 @@
 #include "iconview.h"
 #include "sequence.h"
 
-class QImage;
-class QTimer;
 class ThumbItem;
 
 class ImageView
Index: mythgallery/mythgallery/iconview.cpp
===================================================================
--- mythgallery/mythgallery/iconview.cpp	(revision 20066)
+++ mythgallery/mythgallery/iconview.cpp	(working copy)
@@ -20,6 +20,7 @@
 
 // C++ headers
 #include <algorithm>
+#include <QKeyEvent>
 
 using namespace std;
 
Index: mythgallery/mythgallery/dbcheck.cpp
===================================================================
--- mythgallery/mythgallery/dbcheck.cpp	(revision 20066)
+++ mythgallery/mythgallery/dbcheck.cpp	(working copy)
@@ -1,4 +1,5 @@
 #include <iostream>
+#include <QSqlError>
 using namespace std;
 
 // qt
Index: mythgallery/mythgallery/iconview.h
===================================================================
--- mythgallery/mythgallery/iconview.h	(revision 20066)
+++ mythgallery/mythgallery/iconview.h	(working copy)
@@ -25,6 +25,8 @@
 #include <QStringList>
 #include <QList>
 #include <QHash>
+#include <QEvent>
+#include <QKeyEvent>
 
 // MythTV headers
 #include <mythtv/libmythui/mythscreentype.h>
Index: mythgallery/mythgallery/thumbgenerator.h
===================================================================
--- mythgallery/mythgallery/thumbgenerator.h	(revision 20066)
+++ mythgallery/mythgallery/thumbgenerator.h	(working copy)
@@ -26,10 +26,8 @@
 #include <QString>
 #include <QStringList>
 #include <QImage>
+#include <QEvent>
 
-class QObject;
-class QImage;
-
 typedef struct {
     QImage  thumb;
     QString fileName;
Index: mythgallery/theme/theme.pro
===================================================================
--- mythgallery/theme/theme.pro	(revision 20066)
+++ mythgallery/theme/theme.pro	(working copy)
@@ -22,3 +22,4 @@
 
 # Input
 SOURCES += ../../themedummy.c
+QT +=  sql opengl qt3support 
Index: mythmovies/ignyte/main.cpp
===================================================================
--- mythmovies/ignyte/main.cpp	(revision 20066)
+++ mythmovies/ignyte/main.cpp	(working copy)
@@ -1,4 +1,5 @@
-#include <qapplication.h>
+#include <QApplication>
+
 #include "ignytegrabber.h"
 
 using namespace std;
Index: mythmovies/ignyte/ignyte.pro
===================================================================
--- mythmovies/ignyte/ignyte.pro	(revision 20066)
+++ mythmovies/ignyte/ignyte.pro	(working copy)
@@ -14,3 +14,4 @@
 # Input
 HEADERS += ignytegrabber.h mythsoap.h
 SOURCES += main.cpp ignytegrabber.cpp mythsoap.cpp
+QT +=  qt3support 
Index: mythmovies/theme/theme.pro
===================================================================
--- mythmovies/theme/theme.pro	(revision 20066)
+++ mythmovies/theme/theme.pro	(working copy)
@@ -22,3 +22,4 @@
 
 # Input
 SOURCES += ../../themedummy.c
+QT += xml  qt3support 
Index: mythmovies/mythmovies/mythmovies.pro
===================================================================
--- mythmovies/mythmovies/mythmovies.pro	(revision 20066)
+++ mythmovies/mythmovies/mythmovies.pro	(working copy)
@@ -18,3 +18,4 @@
 SOURCES += main.cpp moviesui.cpp moviessettings.cpp
 
 include ( ../../libs-targetfix.pro )
+QT +=  qt3support 
Index: mythmovies/mythmovies/moviesui.h
===================================================================
--- mythmovies/mythmovies/moviesui.h	(revision 20066)
+++ mythmovies/mythmovies/moviesui.h	(working copy)
@@ -12,8 +12,6 @@
 // mythmovies
 #include "helperobjects.h"
 
-class QTimer;
-class QDomNode;
 class MythUIText;
 class MythUIButtonTree;
 class MythGenericTree;
Index: mythflix/i18n/i18n.pro
===================================================================
--- mythflix/i18n/i18n.pro	(revision 20066)
+++ mythflix/i18n/i18n.pro	(working copy)
@@ -12,3 +12,4 @@
 INSTALLS += trans
 
 SOURCES += dummy.c 
+QT += xml  sql qt3support 
Index: mythflix/theme/theme.pro
===================================================================
--- mythflix/theme/theme.pro	(revision 20066)
+++ mythflix/theme/theme.pro	(working copy)
@@ -22,3 +22,4 @@
 
 # Input
 SOURCES += ../../themedummy.c
+QT += xml  sql qt3support 
Index: mythflix/mythflix/newsengine.cpp
===================================================================
--- mythflix/mythflix/newsengine.cpp	(revision 20066)
+++ mythflix/mythflix/newsengine.cpp	(working copy)
@@ -21,10 +21,10 @@
 
 #include <iostream>
 
-#include <qfile.h>
-#include <qdatastream.h>
-#include <qdom.h>
-#include <q3urloperator.h>
+#include <QFile>
+#include <QDataStream>
+#include <QDomNode>
+#include <Q3UrlOperator>
 #include <q3network.h>
 
 extern "C" {
Index: mythflix/mythflix/mythflix.cpp
===================================================================
--- mythflix/mythflix/mythflix.cpp	(revision 20066)
+++ mythflix/mythflix/mythflix.cpp	(working copy)
@@ -6,6 +6,8 @@
 #include <QApplication>
 #include <QDir>
 #include <Q3Process>
+#include <QKeyEvent>
+#include <QEvent>
 
 // MythTV headers
 #include <mythtv/util.h>
Index: mythflix/mythflix/newsengine.h
===================================================================
--- mythflix/mythflix/newsengine.h	(revision 20066)
+++ mythflix/mythflix/newsengine.h	(working copy)
@@ -27,9 +27,8 @@
 #include <QObject>
 #include <QDateTime>
 #include <QMetaType>
+#include <Q3UrlOperator>
 
-class Q3UrlOperator;
-class Q3NetworkOperation;
 class NewsSite;
 
 // -------------------------------------------------------
Index: mythflix/mythflix/mythflixqueue.cpp
===================================================================
--- mythflix/mythflix/mythflixqueue.cpp	(revision 20066)
+++ mythflix/mythflix/mythflixqueue.cpp	(working copy)
@@ -7,6 +7,8 @@
 #include <QApplication>
 #include <QDateTime>
 #include <QDir>
+#include <QKeyEvent>
+#include <QEvent>
 
 // MythTV headers
 #include <mythtv/util.h>
Index: mythflix/mythflix/mythflix.h
===================================================================
--- mythflix/mythflix/mythflix.h	(revision 20066)
+++ mythflix/mythflix/mythflix.h	(working copy)
@@ -9,6 +9,8 @@
 #include <mythtv/libmythui/mythdialogbox.h>
 
 #include "newsengine.h"
+#include <QKeyEvent>
+#include <QEvent>
 
 /** \class MythFlix
  *  \brief The netflix browser class.
Index: mythflix/mythflix/mythflixqueue.h
===================================================================
--- mythflix/mythflix/mythflixqueue.h	(revision 20066)
+++ mythflix/mythflix/mythflixqueue.h	(working copy)
@@ -9,6 +9,8 @@
 #include <mythtv/libmythui/mythdialogbox.h>
 
 #include "newsengine.h"
+#include <QKeyEvent>
+#include <QEvent>
 
 /** \class MythFlix
  *  \brief The netflix queue browser class.
Index: mythflix/mythflix/mythflix.pro
===================================================================
--- mythflix/mythflix/mythflix.pro	(revision 20066)
+++ mythflix/mythflix/mythflix.pro	(working copy)
@@ -23,8 +23,6 @@
 SOURCES += main.cpp mythflixqueue.cpp mythflix.cpp mythflixconfig.cpp
 SOURCES += newsengine.cpp dbcheck.cpp flixutil.cpp
 
-
-#The following line was inserted by qt3to4
 QT += network xml sql opengl qt3support
 
 include ( ../../libs-targetfix.pro )
Index: mythflix/mythflix/dbcheck.cpp
===================================================================
--- mythflix/mythflix/dbcheck.cpp	(revision 20066)
+++ mythflix/mythflix/dbcheck.cpp	(working copy)
@@ -1,8 +1,9 @@
-#include <qstring.h>
-#include <qdir.h>
+#include <QString>
+#include <QDir>
 #include <QSqlError>
 
 #include <iostream>
+
 using namespace std;
 
 #include "dbcheck.h"
Index: mythvideo/i18n/i18n.pro
===================================================================
--- mythvideo/i18n/i18n.pro	(revision 20066)
+++ mythvideo/i18n/i18n.pro	(working copy)
@@ -16,3 +16,4 @@
 
 SOURCES += dummy.c
 
+QT += network  qt3support 
Index: mythvideo/theme/theme.pro
===================================================================
--- mythvideo/theme/theme.pro	(revision 20066)
+++ mythvideo/theme/theme.pro	(working copy)
@@ -24,3 +24,4 @@
 
 # Input
 SOURCES += ../../themedummy.c
+QT += network  qt3support 
Index: mythvideo/mtd/jobthread.cpp
===================================================================
--- mythvideo/mtd/jobthread.cpp	(revision 20066)
+++ mythvideo/mtd/jobthread.cpp	(working copy)
@@ -14,6 +14,7 @@
 #include <unistd.h>
 
 #include <algorithm>
+#include <QTimerEvent>
 using namespace std;
 
 #include <QDateTime>
Index: mythvideo/mtd/mtd.pro
===================================================================
--- mythvideo/mtd/mtd.pro	(revision 20066)
+++ mythvideo/mtd/mtd.pro	(working copy)
@@ -21,3 +21,4 @@
 mingw:DEFINES += USING_MINGW
 
 win32:LIBS += -lws2_32
+QT +=  opengl qt3support 
Index: mythvideo/mtd/mtd.cpp
===================================================================
--- mythvideo/mtd/mtd.cpp	(revision 20066)
+++ mythvideo/mtd/mtd.cpp	(working copy)
@@ -23,6 +23,7 @@
 #include <QRegExp>
 #include <QTimer>
 #include <QDir>
+#include <QEvent>
 
 // MythTV headers
 #include <mythtv/util.h>
Index: mythvideo/mtd/logging.cpp
===================================================================
--- mythvideo/mtd/logging.cpp	(revision 20066)
+++ mythvideo/mtd/logging.cpp	(working copy)
@@ -12,6 +12,7 @@
 #include <unistd.h>
 #include <cstdlib>
 #include <QDateTime>
+#include <QTextStream>
 
 #include <mythtv/mythcontext.h>
 
Index: mythvideo/mtd/jobthread.h
===================================================================
--- mythvideo/mtd/jobthread.h	(revision 20066)
+++ mythvideo/mtd/jobthread.h	(working copy)
@@ -15,14 +15,14 @@
 #include <QDateTime>
 #include <QThread>
 #include <QMutex>
+#include <QTimerEvent>
+#include <QProcess>
+#include <QWaitCondition>
+#include <QDir>
 
 #include "fileobs.h"
 
-class QProcess;
-class QDir;
 class MythTranscodeDaemon;
-class QWaitCondition;
-class QTimerEvent;
 
 /** \class JobThread
  *  \brief Base class for all MythTranscodeDaemon threads
Index: mythvideo/mtd/mtd.h
===================================================================
--- mythvideo/mtd/mtd.h	(revision 20066)
+++ mythvideo/mtd/mtd.h	(working copy)
@@ -12,19 +12,16 @@
 
 #include <QObject>
 #include <QList>
+#include <QEvent>
+#include <QTcpSocket>
+#include <QTcpServer>
+#include <QTimer>
 
 #include "logging.h"
 #include "jobthread.h"
 #include "dvdprobe.h"
 #include "threadevents.h"
 
-class QStringList;
-class QTimer;
-class QMutex;
-class QTcpServer;
-class QTcpSocket;
-class QWaitCondition;
-
 class MythTranscodeDaemon;
 
 class DiscCheckingThread : public QThread
Index: mythvideo/mtd/threadevents.cpp
===================================================================
--- mythvideo/mtd/threadevents.cpp	(revision 20066)
+++ mythvideo/mtd/threadevents.cpp	(working copy)
@@ -11,6 +11,7 @@
 */
 
 #include "threadevents.h"
+#include <QEvent>
 
 LoggingEvent::LoggingEvent(const QString &init_logging_string) :
     QEvent(QEvent::Type(ID)),
Index: mythvideo/mythvideo/videodlg.h
===================================================================
--- mythvideo/mythvideo/videodlg.h	(revision 20066)
+++ mythvideo/mythvideo/videodlg.h	(working copy)
@@ -3,6 +3,8 @@
 
 #include <QPointer>
 #include <QStringList>
+#include <QKeyEvent>
+#include <QEvent>
 
 #include <mythtv/libmythui/mythscreentype.h>
 
@@ -22,8 +24,6 @@
 class Metadata;
 class VideoScanner;
 
-class QUrl;
-
 typedef QMap<QString, QString> SearchListResults;
 
 enum CoverDownloadErrorState { esOK, esError, esTimeout };
Index: mythvideo/mythvideo/titledialog.h
===================================================================
--- mythvideo/mythvideo/titledialog.h	(revision 20066)
+++ mythvideo/mythvideo/titledialog.h	(working copy)
@@ -2,13 +2,12 @@
 #define TITLEDIALOG_H_
 
 #include <QList>
+#include <QTcpSocket>
 
 #include <mythtv/libmythui/mythscreentype.h>
 
 #include "dvdinfo.h"
 
-class QTcpSocket;
-
 class MythUIButtonList;
 class MythUIButtonListItem;
 class MythUIText;
Index: mythvideo/mythvideo/videoscan.h
===================================================================
--- mythvideo/mythvideo/videoscan.h	(revision 20066)
+++ mythvideo/mythvideo/videoscan.h	(working copy)
@@ -3,8 +3,6 @@
 
 #include <QObject> // for moc
 
-class QStringList;
-
 class VideoScanner : public QObject
 {
     Q_OBJECT
Index: mythvideo/mythvideo/editmetadata.h
===================================================================
--- mythvideo/mythvideo/editmetadata.h	(revision 20066)
+++ mythvideo/mythvideo/editmetadata.h	(working copy)
@@ -2,6 +2,7 @@
 #define EDITMETADATA_H_
 
 #include <mythtv/libmythui/mythscreentype.h>
+#include <QEvent>
 
 class Metadata;
 class MetadataListManager;
Index: mythvideo/mythvideo/videodlg.cpp
===================================================================
--- mythvideo/mythvideo/videodlg.cpp	(revision 20066)
+++ mythvideo/mythvideo/videodlg.cpp	(working copy)
@@ -11,6 +11,8 @@
 #include <QBuffer>
 #include <QUrl>
 #include <QImageReader>
+#include <QKeyEvent>
+#include <QEvent>
 
 #include <mythtv/mythcontext.h>
 #include <mythtv/compat.h>
Index: mythvideo/mythvideo/dvdripbox.cpp
===================================================================
--- mythvideo/mythvideo/dvdripbox.cpp	(revision 20066)
+++ mythvideo/mythvideo/dvdripbox.cpp	(working copy)
@@ -2,6 +2,7 @@
 #include <QProcess>
 #include <QRegExp>
 #include <QTimer>
+#include <QTextStream>
 
 #include <mythtv/mythcontext.h>
 #include <mythtv/mythmediamonitor.h>
Index: mythvideo/mythvideo/titledialog.cpp
===================================================================
--- mythvideo/mythvideo/titledialog.cpp	(revision 20066)
+++ mythvideo/mythvideo/titledialog.cpp	(working copy)
@@ -1,6 +1,7 @@
 #include <QRegExp>
 
 #include <QTcpSocket>
+#include <QTextStream>
 
 #include <mythtv/util.h>
 #include <mythtv/mythcontext.h>
Index: mythvideo/mythvideo/mythvideo.pro
===================================================================
--- mythvideo/mythvideo/mythvideo.pro	(revision 20066)
+++ mythvideo/mythvideo/mythvideo.pro	(working copy)
@@ -49,3 +49,4 @@
 mingw:DEFINES += USING_MINGW
 
 QT += sql xml network
+QT +=  qt3support 
Index: mythvideo/mythvideo/editmetadata.cpp
===================================================================
--- mythvideo/mythvideo/editmetadata.cpp	(revision 20066)
+++ mythvideo/mythvideo/editmetadata.cpp	(working copy)
@@ -1,6 +1,7 @@
 #include <algorithm>
 
 #include <QImageReader>
+#include <QEvent>
 
 #include <mythtv/mythcontext.h>
 #include <mythtv/mythdirs.h>
Index: mythgame/i18n/i18n.pro
===================================================================
--- mythgame/i18n/i18n.pro	(revision 20066)
+++ mythgame/i18n/i18n.pro	(working copy)
@@ -15,3 +15,4 @@
 
 SOURCES += dummy.c
 
+QT +=  sql qt3support 
Index: mythgame/theme/theme.pro
===================================================================
--- mythgame/theme/theme.pro	(revision 20066)
+++ mythgame/theme/theme.pro	(working copy)
@@ -22,3 +22,4 @@
 
 # Input
 SOURCES += ../../themedummy.c
+QT +=  sql qt3support 
Index: mythgame/mythgame/gametree.h
===================================================================
--- mythgame/mythgame/gametree.h	(revision 20066)
+++ mythgame/mythgame/gametree.h	(working copy)
@@ -1,11 +1,10 @@
 #ifndef GAMETREE_H_
 #define GAMETREE_H_
 
-#include <qtimer.h>
-#include <qmutex.h>
-#include <q3valuevector.h>
-#include <q3ptrvector.h>
-//Added by qt3to4:
+#include <QTimer>
+#include <QMutex>
+#include <Q3ValueVector>
+#include <Q3PtrVector>
 #include <QSqlQuery>
 #include <QKeyEvent>
 
Index: mythgame/mythgame/rom_metadata.h
===================================================================
--- mythgame/mythgame/rom_metadata.h	(revision 20066)
+++ mythgame/mythgame/rom_metadata.h	(working copy)
@@ -1,15 +1,15 @@
 #ifndef ROMMETADATA_H_
 #define ROMMETADATA_H_
 
-#include <qobject.h>
-#include <q3ptrlist.h>
-#include <qstringlist.h>
+#include <QObject>
+#include <Q3PtrList>
+#include <QStringList>
+#include <QDir>
+#include <QString>
+#include <QWidget>
+
 #include <iostream>
-#include <qdir.h>
-#include <qstring.h>
-#include <qwidget.h>
 
-
 #include <mythtv/mythcontext.h>
 #include <mythtv/mythdbcon.h>
 #include <mythtv/mythdialogs.h>
Index: mythgame/mythgame/romedit.cpp
===================================================================
--- mythgame/mythgame/romedit.cpp	(revision 20066)
+++ mythgame/mythgame/romedit.cpp	(working copy)
@@ -1,4 +1,4 @@
-#include <qstring.h>
+#include <QString>
 
 #include <mythtv/mythcontext.h>
 
Index: mythgame/mythgame/gamehandler.cpp
===================================================================
--- mythgame/mythgame/gamehandler.cpp	(revision 20066)
+++ mythgame/mythgame/gamehandler.cpp	(working copy)
@@ -2,12 +2,13 @@
 #include "rominfo.h"
 #include "rom_metadata.h"
 
-#include <qobject.h>
-#include <q3ptrlist.h>
-#include <qstringlist.h>
+#include <QObject>
+#include <Q3PtrList>
+#include <QStringList>
+#include <QDir>
+#include <QRegExp>
+
 #include <iostream>
-#include <qdir.h>
-#include <qregexp.h>
 
 #include <mythtv/mythcontext.h>
 #include <mythtv/mythdbcon.h>
Index: mythgame/mythgame/romedit.h
===================================================================
--- mythgame/mythgame/romedit.h	(revision 20066)
+++ mythgame/mythgame/romedit.h	(working copy)
@@ -1,7 +1,7 @@
 #ifndef ROMEDITDLG_H_
 #define ROMEDITDLG_H_
 
-#include <qstring.h>
+#include <QString>
 
 #include <mythtv/mythcontext.h>
 #include <mythtv/settings.h>
Index: mythgame/mythgame/rominfo.cpp
===================================================================
--- mythgame/mythgame/rominfo.cpp	(revision 20066)
+++ mythgame/mythgame/rominfo.cpp	(working copy)
@@ -1,4 +1,4 @@
-#include <qfile.h>
+#include <QFile>
 
 #include <mythtv/mythdb.h>
 
Index: mythgame/mythgame/gamehandler.h
===================================================================
--- mythgame/mythgame/gamehandler.h	(revision 20066)
+++ mythgame/mythgame/gamehandler.h	(working copy)
@@ -2,8 +2,8 @@
 #ifndef GAMEHANDLER_H_
 #define GAMEHANDLER_H_
 
-#include <qstring.h>
-#include <qwidget.h>
+#include <QString>
+#include <QWidget>
 
 #include "rom_metadata.h"
 #include "rominfo.h"
@@ -12,7 +12,6 @@
 
 class MythMainWindow;
 class GameHandler;
-class QObject;
 
 enum GameFound
 {
Index: mythgame/mythgame/rominfo.h
===================================================================
--- mythgame/mythgame/rominfo.h	(revision 20066)
+++ mythgame/mythgame/rominfo.h	(working copy)
@@ -1,7 +1,7 @@
 #ifndef ROMINFO_H_
 #define ROMINFO_H_
 
-#include <qstring.h>
+#include <QString>
 
 int romInDB(QString rom, QString gametype);
 
Index: mythgame/mythgame/dbcheck.cpp
===================================================================
--- mythgame/mythgame/dbcheck.cpp	(revision 20066)
+++ mythgame/mythgame/dbcheck.cpp	(working copy)
@@ -1,8 +1,8 @@
-#include <qstring.h>
-//Added by qt3to4:
+#include <QString>
 #include <QSqlError>
 
 #include <iostream>
+
 using namespace std;
 
 #include "dbcheck.h"
Index: mythgame/mythgame/mythgame.pro
===================================================================
--- mythgame/mythgame/mythgame.pro	(revision 20066)
+++ mythgame/mythgame/mythgame.pro	(working copy)
@@ -21,7 +21,6 @@
 
 LIBS += -lz
 
-#The following line was inserted by qt3to4
 QT += xml sql opengl qt3support 
 
 include ( ../../libs-targetfix.pro )
Index: mythgame/mythgame/gametree.cpp
===================================================================
--- mythgame/mythgame/gametree.cpp	(revision 20066)
+++ mythgame/mythgame/gametree.cpp	(working copy)
@@ -1,10 +1,11 @@
-#include <qapplication.h>
-#include <qpushbutton.h>
-//Added by qt3to4:
+#include <QApplication>
+#include <QPushButton>
 #include <QSqlQuery>
 #include <QKeyEvent>
+
 #include <stdlib.h>
 #include <iostream>
+
 using namespace std;
 
 #include <mythtv/mythcontext.h>
Index: mythgame/mythgame/gamesettings.cpp
===================================================================
--- mythgame/mythgame/gamesettings.cpp	(revision 20066)
+++ mythgame/mythgame/gamesettings.cpp	(working copy)
@@ -2,13 +2,14 @@
 #include <mythtv/mythdb.h>
 
 #include "gamesettings.h"
-#include <qfile.h>
-#include <qdialog.h>
-#include <qcursor.h>
-#include <qdir.h>
-#include <qimage.h>
 
+#include <QFile>
+#include <QDialog>
+#include <QCursor>
+#include <QDir>
+#include <QImage>
 
+
 const QString GetGameExtensions(const QString GameType)
 {
     QString result = "";
Index: mythgame/mythgame/rom_metadata.cpp
===================================================================
--- mythgame/mythgame/rom_metadata.cpp	(revision 20066)
+++ mythgame/mythgame/rom_metadata.cpp	(working copy)
@@ -1,12 +1,12 @@
-#include <qobject.h>
-#include <q3ptrlist.h>
-#include <qstringlist.h>
+#include <QObject>
+#include <Q3PtrList>
+#include <QStringList>
+#include <QDir>
+#include <QString>
+#include <QWidget>
+
 #include <iostream>
-#include <qdir.h>
-#include <qstring.h>
-#include <qwidget.h>
 
-
 #include <mythtv/mythcontext.h>
 #include <mythtv/mythdbcon.h>
 #include <mythtv/mythdialogs.h>
Index: mythzoneminder/mythzmserver/mythzmserver.pro
===================================================================
--- mythzoneminder/mythzmserver/mythzmserver.pro	(revision 20066)
+++ mythzoneminder/mythzmserver/mythzmserver.pro	(working copy)
@@ -16,3 +16,4 @@
 HEADERS += zmserver.h
 
 SOURCES += main.cpp zmserver.cpp
+QT +=  qt3support 
Index: mythzoneminder/theme/theme.pro
===================================================================
--- mythzoneminder/theme/theme.pro	(revision 20066)
+++ mythzoneminder/theme/theme.pro	(working copy)
@@ -22,3 +22,4 @@
 
 # Input
 SOURCES += ../../themedummy.c
+QT +=  qt3support 
Index: mythzoneminder/mythzoneminder/zmplayer.cpp
===================================================================
--- mythzoneminder/mythzoneminder/zmplayer.cpp	(revision 20066)
+++ mythzoneminder/mythzoneminder/zmplayer.cpp	(working copy)
@@ -16,10 +16,10 @@
 #include <cstdlib>
 
 // qt
-#include <qdatetime.h>
-#include <qpainter.h>
-#include <qdir.h>
-#include <qtimer.h>
+#include <QDateTime>
+#include <QPainter>
+#include <QDir>
+#include <QTimer>
 #include <QKeyEvent>
 
 // myth
Index: mythzoneminder/mythzoneminder/zmconsole.cpp
===================================================================
--- mythzoneminder/mythzoneminder/zmconsole.cpp	(revision 20066)
+++ mythzoneminder/mythzoneminder/zmconsole.cpp	(working copy)
@@ -18,6 +18,7 @@
 
 // qt
 #include <QTimer>
+#include <QKeyEvent>
 
 // myth
 #include "mythtv/mythcontext.h"
Index: mythzoneminder/mythzoneminder/zmliveplayer.h
===================================================================
--- mythzoneminder/mythzoneminder/zmliveplayer.h	(revision 20066)
+++ mythzoneminder/mythzoneminder/zmliveplayer.h	(working copy)
@@ -17,6 +17,7 @@
 
 // c++
 #include <vector>
+#include <QKeyEvent>
 using namespace std;
 
 // qt
Index: mythzoneminder/mythzoneminder/mythzoneminder.pro
===================================================================
--- mythzoneminder/mythzoneminder/mythzoneminder.pro	(revision 20066)
+++ mythzoneminder/mythzoneminder/mythzoneminder.pro	(working copy)
@@ -21,3 +21,4 @@
 QT += sql xml
 
 include ( ../../libs-targetfix.pro )
+QT +=  qt3support 
Index: mythnews/i18n/i18n.pro
===================================================================
--- mythnews/i18n/i18n.pro	(revision 20066)
+++ mythnews/i18n/i18n.pro	(working copy)
@@ -15,3 +15,4 @@
 INSTALLS += trans
 
 SOURCES += dummy.c
+QT += xml  sql qt3support 
Index: mythnews/theme/theme.pro
===================================================================
--- mythnews/theme/theme.pro	(revision 20066)
+++ mythnews/theme/theme.pro	(working copy)
@@ -22,3 +22,4 @@
 
 # Input
 SOURCES += ../../themedummy.c
+QT += xml  sql qt3support 
Index: mythnews/mythnews/mythnewsconfig.cpp
===================================================================
--- mythnews/mythnews/mythnewsconfig.cpp	(revision 20066)
+++ mythnews/mythnews/mythnewsconfig.cpp	(working copy)
@@ -2,6 +2,7 @@
 #include <QApplication>
 #include <QStringList>
 #include <QFile>
+#include <QKeyEvent>
 
 // MythTV headers
 #include <mythuitext.h>
Index: mythnews/mythnews/newssite.h
===================================================================
--- mythnews/mythnews/newssite.h	(revision 20066)
+++ mythnews/mythnews/newssite.h	(working copy)
@@ -15,6 +15,8 @@
 #include <QDomDocument>
 #include <QVariant>
 #include <QByteArray>
+#include <QUrl>
+#include <QHttp>
 
 // MythNews headers
 #include "newsarticle.h"
Index: mythnews/mythnews/mythnewsconfig.h
===================================================================
--- mythnews/mythnews/mythnewsconfig.h	(revision 20066)
+++ mythnews/mythnews/mythnewsconfig.h	(working copy)
@@ -3,6 +3,7 @@
 
 // Qt headers
 #include <QMutex>
+#include <QKeyEvent>
 
 // MythTV headers
 #include <mythscreentype.h>
Index: mythnews/mythnews/mythnews.cpp
===================================================================
--- mythnews/mythnews/mythnews.cpp	(revision 20066)
+++ mythnews/mythnews/mythnews.cpp	(working copy)
@@ -11,6 +11,8 @@
 #include <QTimer>
 #include <QRegExp>
 #include <QUrl>
+#include <QKeyEvent>
+#include <QEvent>
 
 // MythTV headers
 #include <mythuitext.h>
Index: mythnews/mythnews/mythnews.h
===================================================================
--- mythnews/mythnews/mythnews.h	(revision 20066)
+++ mythnews/mythnews/mythnews.h	(working copy)
@@ -7,8 +7,9 @@
 
 // MythNews headers
 #include "newssite.h"
+#include <QEvent>
+#include <QKeyEvent>
 
-class QTimer;
 class HtppComms;
 class MythUIText;
 class MythUIImage;
Index: mythnews/mythnews/newsdbutil.h
===================================================================
--- mythnews/mythnews/newsdbutil.h	(revision 20066)
+++ mythnews/mythnews/newsdbutil.h	(working copy)
@@ -1,7 +1,6 @@
 #ifndef NEWSDBUTIL_H_
 #define NEWSDBUTIL_H_
 
-class QString;
 class NewsSiteItem;
 
 bool findInDB(const QString &name);
Index: mythnews/mythnews/mythnewseditor.cpp
===================================================================
--- mythnews/mythnews/mythnewseditor.cpp	(revision 20066)
+++ mythnews/mythnews/mythnewseditor.cpp	(working copy)
@@ -14,6 +14,7 @@
 #include "mythnewseditor.h"
 #include "newsdbutil.h"
 #include "newssite.h"
+#include <QKeyEvent>
 
 #define LOC      QString("MythNewsEditor: ")
 #define LOC_WARN QString("MythNewsEditor, Warning: ")
Index: mythnews/mythnews/mythnewseditor.h
===================================================================
--- mythnews/mythnews/mythnewseditor.h	(revision 20066)
+++ mythnews/mythnews/mythnewseditor.h	(working copy)
@@ -4,6 +4,7 @@
 // Qt headers
 #include <QMutex>
 #include <QString>
+#include <QKeyEvent>
 
 // MythTV headers
 #include <mythscreentype.h>
Index: mythnews/mythnews/mythnews.pro
===================================================================
--- mythnews/mythnews/mythnews.pro	(revision 20066)
+++ mythnews/mythnews/mythnews.pro	(working copy)
@@ -29,3 +29,4 @@
 SOURCES += main.cpp
 
 include ( ../../libs-targetfix.pro )
+QT +=  qt3support 
